Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface UserDataConstraintType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  UserDataConstraintTypeImpl

    public interface UserDataConstraintType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `user-data-constraintType` xsd type

Original Documentation:

The user-data-constraintType is used to indicate how
data communicated between the client and container should be
protected.
Used in: security-constraint

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`TransportGuaranteeType` | `getTransportGuarantee()` Returns the `transport-guarantee` element
`java.lang.String` | `getTransportGuaranteeAsString()` Returns the `transport-guarantee` element
`UserDataConstraintType<T>` | `removeAllDescription()` Removes the `description` element
`UserDataConstraintType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`UserDataConstraintType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`UserDataConstraintType<T>` | `setTransportGuarantee(java.lang.String transportGuarantee)` If not already created, a new `transport-guarantee` element with the given value will be created.
`UserDataConstraintType<T>` | `setTransportGuarantee(TransportGuaranteeType transportGuarantee)` If not already created, a new `transport-guarantee` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    UserDataConstraintType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `UserDataConstraintType`

### setDescriptionList

    UserDataConstraintType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `UserDataConstraintType`

### removeAllDescription

    UserDataConstraintType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `UserDataConstraintType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setTransportGuarantee

    UserDataConstraintType<T> setTransportGuarantee(TransportGuaranteeType transportGuarantee)

  If not already created, a new `transport-guarantee` element with the given value will be created. Otherwise, the existing `transport-guarantee` element will be updated with the given value.

  Returns:
    the current instance of `UserDataConstraintType`

### setTransportGuarantee

    UserDataConstraintType<T> setTransportGuarantee(java.lang.String transportGuarantee)

  If not already created, a new `transport-guarantee` element with the given value will be created. Otherwise, the existing `transport-guarantee` element will be updated with the given value.

  Returns:
    the current instance of `UserDataConstraintType`

### getTransportGuarantee

    TransportGuaranteeType getTransportGuarantee()

  Returns the `transport-guarantee` element

  Returns:
    the node defined for the element `transport-guarantee`

### getTransportGuaranteeAsString

    java.lang.String getTransportGuaranteeAsString()

  Returns the `transport-guarantee` element

  Returns:
    the node defined for the element `transport-guarantee`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD